Bug 77012 - New port: devel/p5-CPANPLUS -- CPAN.pm++
Summary: New port: devel/p5-CPANPLUS -- CPAN.pm++
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Yen-Ming Lee
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2005-02-02 16:00 UTC by Alex Kapranoff
Modified: 2005-03-04 09:09 UTC (History)
0 users

See Also:


Attachments
file.shar (10.79 KB, text/plain)
2005-02-02 16:00 UTC, Alex Kapranoff
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Description Alex Kapranoff 2005-02-02 16:00:35 UTC

    
Comment 1 Yen-Ming Lee freebsd_committer 2005-02-13 20:20:37 UTC
Responsible Changed
From-To: freebsd-ports-bugs->leeym

I will take care of this PR.
Comment 2 Alex Kapranoff 2005-02-14 11:37:21 UTC
Very good! We should integrate our efforts.
BTW, I think that YAML dependency and ftp sites reordering should be
submitted to CPANPLUS.pm maintainer so that they end up on CPAN. They
are not FreeBSD-specific and thus will benefit all.

I'll try your renewed port ASAP.

* Yen-Ming Lee <leeym@FreeBSD.org> [February 13 2005, 23:46]:
> Hey, guess what? I'm working on the same new port, too.
> 
> However, I add some more tweaking.
> 
> - CPANPLUS depends on textproc/p5-YAML, though it doesn't describe in
> doc
>   (without YAML, you can build it, but you'll get error when you run it)
> - the latest CPANPLUS is 0.053 now
> - add "CONFIGURE_ARGS= AUTOINSTALL=1" will let CPANPLUS configure itself
> - set 'base' in Config.pm to runner's HOME, not only the installer's
> home
> - add two patch files
>   - patch %%SITE_PERL%%/CPANPLUS/Config.pm-orig to relocate
> ftp.funet.fi.
>     (ftp.cpan.org is too slow to be the first site. ftp.funet.fi is
> better)
>   - patch lib/CPANPLUS/Configure/Setup.pm to let it save Config.pm at
> its
>     default path (%%SITE_PERL%%/CPANPLUS/Config.pm)
> 
> Please see the attached shar file.
> -- 
> Yen-Ming Lee [utf7:+Z05fZWYO] | KeyID:0x5EB52E51 | Taipei, Taiwan
> 



-- 
Alex Kapranoff,
$n=["1another7Perl213Just3hacker49"=~/\d|\D*/g];
$$n[0]={grep/\d/,@$n};print"@$n{1..4}\n"
Comment 3 Yen-Ming Lee freebsd_committer 2005-03-04 09:09:23 UTC
State Changed
From-To: open->closed

Committed, thanks.